#ifndef BONUS_H
#define BONUS_H

#include "entity.h"

namespace pabloader {

enum BonusType {
    BONUS_DOCUMENTATION = 0,
    BONUS_UNIT_TEST = 1,
    BONUS_DEBUGGER = 2
};

class Bonus : public Entity {
public:
    Bonus(Debuggers* game);
    BonusType GetType();
    void ResetPosition() override;
};
}

#endif